Package com.tietoenator.trip.jxp.database

# Enum Class TdbSegmentationType

java.lang.Object
java.lang.Enum<TdbSegmentationType>
com.tietoenator.trip.jxp.database.TdbSegmentationType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbSegmentationType>`, `Constable`

public enum TdbSegmentationType extends Enum<TdbSegmentationType>
Types of token segmentation that can be performed on Chinese text.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AllTokens`
  The segmentation algorithm will emit all possible segments for a String of Chinese characters.
  `MaxLengthOnly`
  The segmentation algorithm will attempt to match only the longest possible segment (String) of characters.
  `None`
  No special word segmentation is performed, each character is indexed as a word in its own right; this is the default behavior and reflects historical TRIP behavior.
  `Word`
  This segmentation algorith is similar to MaxLengthOnly and adds re-segmentation of all words longer than three Chinese characters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Return the TRIPxpi protocol name for the current identifier
  `static TdbSegmentationType`
  `getTypeof(String name)`
  Retrieve the type ID that matches the provided name
  `static TdbSegmentationType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbSegmentationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final TdbSegmentationType None
    No special word segmentation is performed, each character is indexed as a word in its own right; this is the default behavior and reflects historical TRIP behavior.

  - ### MaxLengthOnly

    public static final TdbSegmentationType MaxLengthOnly
    The segmentation algorithm will attempt to match only the longest possible segment (String) of characters. This will result in a smaller index and faster searching, but also has the potential to miss or incorrectly index certain terms.

  - ### Word

    public static final TdbSegmentationType Word
    This segmentation algorith is similar to MaxLengthOnly and adds re-segmentation of all words longer than three Chinese characters.

  - ### AllTokens

    public static final TdbSegmentationType AllTokens
    The segmentation algorithm will emit all possible segments for a String of Chinese characters. This will result in a larger index and possibly slower searches than using `MaxLengthOnly` but has much lower potential for missing terms.

- ## Method Details

  - ### values

    public static TdbSegmentationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbSegmentationType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getTypeof

    public static TdbSegmentationType getTypeof(String name)
    Retrieve the type ID that matches the provided name
    Parameters:
      `name` - The name to match
    Returns:
      The type ID

  - ### getName

    public String getName()
    Return the TRIPxpi protocol name for the current identifier
    Returns:
      The name